Package gov.nasa.gsfc.sscweb.schema

# Class CartesionCoordinates

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Coordinates
gov.nasa.gsfc.sscweb.schema.CartesionCoordinates

public class CartesionCoordinates extends Coordinates
Cartesian Coordinates. <p>Java class for CartesionCoordinates complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="CartesionCoordinates"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}Coordinates"> <sequence> <element name="X" type="{http://www.w3.org/2001/XMLSchema}double"/> <element name="Y" type="{http://www.w3.org/2001/XMLSchema}double"/> <element name="Z" type="{http://www.w3.org/2001/XMLSchema}double"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected double`
  `x`
  X coordinate value.
  `protected double`
  `y`
  Y coordinate value.
  `protected double`
  `z`
  Z coordinate value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CartesionCoordinates()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getX()`
  X coordinate value.
  `double`
  `getY()`
  Y coordinate value.
  `double`
  `getZ()`
  Z coordinate value.
  `void`
  `setX(double value)`
  Sets the value of the x property.
  `void`
  `setY(double value)`
  Sets the value of the y property.
  `void`
  `setZ(double value)`
  Sets the value of the z property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### x

    protected double x
    X coordinate value.

  - ### y

    protected double y
    Y coordinate value.

  - ### z

    protected double z
    Z coordinate value.

- ## Constructor Details

  - ### CartesionCoordinates

    public CartesionCoordinates()

- ## Method Details

  - ### getX

    public double getX()
    X coordinate value.

  - ### setX

    public void setX(double value)
    Sets the value of the x property.

  - ### getY

    public double getY()
    Y coordinate value.

  - ### setY

    public void setY(double value)
    Sets the value of the y property.

  - ### getZ

    public double getZ()
    Z coordinate value.

  - ### setZ

    public void setZ(double value)
    Sets the value of the z property.